<?
include '../config.php';
include '../func.php';
head();
aut();
ban();
////////////////////////
$id = num($_GET['id']);
$clan = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id` = '".$id."'"));

if ( empty( $clan['id'] ) ) {
    
    echo "<div class=\"head\"><b>Ошибка</b></div><div class=\"main\">";  
    echo 'Данной группы не существует.<br/>';
    pod_navig();
    foot();
    exit();
    
}

if ( $id_session == $clan['user'] ) {
    
    echo "<div class=\"head\"><b>Ошибка</b></div><div class=\"main\">";  
    echo 'Вы не можете выйти из группы. Т.к вы являетесь ее создателем.<br/>';
    pod_navig();
    foot();
    exit();
    
}

echo "<div class=\"head\"><b>Группа | ".$clan['name']."</b></div><div class=\"main\">";   

$result = mysql_query("SELECT * FROM `clans_user` WHERE (`clan` = '".$id."') and  (`user` = '".$id_session."')");

if( mysql_affected_rows()!= 1)  {
    
    echo 'Вы и так не состоите в данной группе.<br/>';
    pod_navig();
    foot();
    exit();
    
}
    
    
        $a = mysql_query("DELETE FROM `clans_user` WHERE `user` = '".$id_session."' AND `clan` = '".$id."'");
        
        if ( $a == 1 )
        echo '<div class="input">Вы успешно вышли из группы.</div><br/>';
        else
        echo '<div class="input">Возникла ошибка.</div><br/>';
    



echo '</div>';

////////////////////////

pod_navig();
foot();
?>